package glassfish;

import java.util.Collection;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity()
@Table(name = "parent")
public class Parent
{
    @Id()
    @Column(name = "id")
    private long id;

    @OneToMany(mappedBy = "parent")
    private Collection<Child> children;

    public long getId()
    {
        return id;
    }

    public Collection<Child> getChildren()
    {
        return children;
    }
}
