package glassfish;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity()
@Table(name = "child")
public class Child
{
    @Id()
    private long id;

    @ManyToOne(optional = false)
    @JoinColumn(name = "parent_id", nullable = false)
    private Parent parent;

    public long getId()
    {
        return id;
    }

    public Parent getParent()
    {
        return parent;
    }
}
